Subject: 24.0.91; Bad link for explicit tags in *Tags List* buffer

From: Liang Wang <[email-masked]>
Date: Thu, 03 Nov 2011 09:35:46 +0800

I use Emacs source tree as example.  Here is the way I create TAGS file.

$ etags src/*.[hc]

And then run M-x list-tags RET src/buffer.c RET to show buffer *Tags List*.
The first tag in it is current_buffer.  But when I press RET on it,
an error message shows up.  It's like

etags-goto-tag-location: Rerun etags: `^current_buffer' not found
in /home/liang/src/emacs/trunk/src/buffer.c

That's because etags-goto-tag-location wants implicit tag which starts from
 the beginning of the line, but current_buffer is an explicit tag.

To fix it, implicit tag must be used as link, but we can choose either
explicit tag or implicit tag to show in *Tags List* buffer.

diff --git a/lisp/ChangeLog b/lisp/ChangeLog
index a8be1ba..032dbfd 100644
--- a/lisp/ChangeLog
+++ b/lisp/ChangeLog
@@ -1,3 +1,7 @@
+2011-09-28  Liang Wang  <address@hidden>
+
+       * progmodes/etags.el (etags-list-tags): Always use explicit tags.
+
 2011-09-21  Michael Albinus  <address@hidden>

        * net/tramp.el (tramp-handle-shell-command): Set process sentinel
diff --git a/lisp/progmodes/etags.el b/lisp/progmodes/etags.el
index d321e9c..f38af05 100644
--- a/lisp/progmodes/etags.el
+++ b/lisp/progmodes/etags.el
@@ -1409,7 +1409,7 @@ hits the start of file."
          tag tag-info pt)
     (forward-line 1)
     (while (not (or (eobp) (looking-at "\f")))
-      (setq tag-info (save-excursion (funcall snarf-tag-function t))
+      (setq tag-info (save-excursion (funcall snarf-tag-function nil))
            tag (car tag-info)
            pt (with-current-buffer standard-output (point)))
       (princ tag)

You can also find above information at
http://lists.gnu.org/archive/html/emacs-devel/2011-09/msg00763.html

In GNU Emacs 24.0.91.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2011-11-03 on lwang1
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--prefix=/usr' '--program-suffix=-24' '--with-x-toolkit=lucid''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x M-p r e p o r t - e m <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
goto-history-element: Beginning of history; no preceding item [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting x-toolkit x multi-tty emacs)